org.apache.commons.ssl

## Class DerivedKey

- java.lang.Object
- - org.apache.commons.ssl.DerivedKey

    public class DerivedKey
    extends java.lang.Object

Since:
  7-Nov-2006
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`byte[]` `iv`
`byte[]` `key`

### Constructor Summary

Constructors
Constructor and Description
`DerivedKey(byte[] key, byte[] iv)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### key

    public final byte[] key

#### iv

    public final byte[] iv

### Constructor Detail

#### DerivedKey

    DerivedKey(byte[] key,
              byte[] iv)